#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,x,c;
    cin>>n>>x;
    int a[n],v=x,m=x;
    for(int i=0;i<n;i++){
        cin>>a[i];
        if(a[i]>v){
            v=a[i];
        }else if(a[i]<m){
            m=a[i];
        }
    }
    if(x<0)
        x=sqrt(x*x);
    if(v<0)
        v=sqrt(v*v);
    if(m<0)
        m=sqrt(m*m);
    if(v>x)
        v=v-x;
    else
        v=x-v;
    if(m>x)
        m=m-x;
    else
        m=x-m;
    if(v>m)
        c=m*2+v;
    else
        c=v*2+m;
    cout<<c;
    return 0;
}